---
title: XMLHttpRequestEventTarget.onloadstart
slug: Web/API/XMLHttpRequestEventTarget/onloadstart
tags:
  - API
  - Event Handler
  - Property
  - Reference
  - Web
  - XMLHttpRequestEventTarget
---
<div>{{APIRef("XMLHttpRequest")}}</div>

<p>The <strong><code>XMLHttpRequestEventTarget.onloadstart</code></strong> is the function called when an {{domxref("XMLHttpRequest")}} transaction starts transferring data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XMLHttpRequest</em>.onloadstart = <em>callback</em>;</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><code><em>callback</em></code> is the function to be called when the transaction begins to transfer data.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xmlhttp = new XMLHttpRequest(),
  method = 'GET',
  url = 'https://developer.mozilla.org/';

xmlhttp.open(<em>method</em>, <em>url</em>, true);
xmlhttp.onloadstart = function () {
  console.log("Download underway");
};
xmlhttp.send();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#handler-xhr-onloadstart')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequestEventTarget.onloadstart")}}</p>
